@import "variables";
@import "reset";
@import "classes";
@import "media-queries";
@import "utils";
@import "bases";

.container {
  min-height: 100vh;
  display: grid;
  grid:
    "header" auto
    "content" 1fr
    "footer" auto /
    auto;
}

header {
  grid-area: header;
  line-height: 3rem;
  background: var(--dark);
  padding: 20px;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  a {
    color: white;
  }

  .header-brand {
    font-size: 4rem;
    font-weight: 700;
  }
  .header-menu {
    position: relative;
    ul {
      @include xs {
        display: none;
      }
      display: flex;
      li {
        .header-nav {
          font-size: 1.8rem;
          padding: 0 1rem;
        }
      }
      .active {
        font-weight: 700;
        text-decoration: underline;
      }
    }
  }
  .header-menu-icone {
    display: none;
    font-size: 3rem;
    color: white;
    cursor: pointer;
    @include xs {
      display: block;
    }
  }
  .mobile-menu {
    display: none;
    position: absolute;
    top: 9.5rem;
    right: 1rem;
    padding: 3rem 1.5rem;
    background: white;
    width: 20rem;
    box-shadow: var(--box-shadow);
    ul {
      display: block;
      li {
        margin-bottom: 2rem 0;
        a {
          color: var(--text);
        }
      }
    }
    &.open {
      display: block;
    }
  }
}

.content {
  grid-area: content;
  padding: 20px;
  background: var(--divider);
}

footer {
  grid-area: footer;
  background-color: var(--dark-gray);
  font-size: 1.8rem;
  text-align: center;
  padding: 20px;
  color: white;
}
